-- Copyright 2011 Xavier Ferrair aka Mortimer @ Outland [H] (deadlygm@gmail.com)
-- no code in this file may be used in other works without expressed permission

-- CHOOSE YOUR OWN POSITIONS
local bgMarksXcfg = 0; -- X horizontal position for tank/healer marks, def: 0
local bgMarksYcfg = 40; -- Y vertical position for tank/healer marks, def: 40
local wantedsXcfg = 0; -- X horizontal position for wanted marks, def: 0
local wantedsYcfg = 40; -- Y vertical position for wanted marks, def: 40

-- CHOOSE YOUR OWN COMBAT TEXT FONT
local bbfdmg = "Interface\\AddOns\\Bang_Bang\\Fonts\\font.ttf"; -- Set empty "" for use default font or replace file.

-- DONT TOUCH MORE --
local l = CreateFrame("Frame")
l:RegisterEvent("ADDON_LOADED")
l:RegisterEvent("PLAYER_LOGIN")
l:SetScript("OnEvent", function(self, event, ...)

    if event == "ADDON_LOADED" and ... == "Bang_Bang" then
		DAMAGE_TEXT_FONT = bbfdmg;
		self:UnregisterEvent("ADDON_LOADED");
	end

	if event == "PLAYER_LOGIN" then
		BangDB["bgMarksX"] = bgMarksXcfg;
		BangDB["bgMarksY"] = bgMarksYcfg;
		BangDB["wantedsX"] = wantedsXcfg;
		BangDB["wantedsY"] = wantedsYcfg;
	end
end)
-- EOF