-- Copyright 2011 Xavier Ferrair aka Mortimer @ Outland [H] (deadlygm@gmail.com)
-- no code in this file may be used in other works without expressed permission

local f = CreateFrame("Frame")
f:RegisterEvent("CHAT_MSG_OFFICER")
f:RegisterEvent("CHAT_MSG_PARTY_LEADER")
f:RegisterEvent("CHAT_MSG_RAID_LEADER")
f:SetScript("OnEvent", function(self, event, msg)
local inI, inT = IsInInstance()
	
	if event == "CHAT_MSG_OFFICER" and msg == "!hks" then
		local h, _ = GetPVPSessionStats("player");
		local hk, _ = GetPVPLifetimeStats("player");
		SendChatMessage("* "..h.." hkills of "..hk.."", "OFFICER", NIL);
	end
	if event == "CHAT_MSG_PARTY_LEADER" and msg == "!hks" and not UnitInRaid("player") and (inT == "none") then
		local h, _ = GetPVPSessionStats("player");
		local hk, _ = GetPVPLifetimeStats("player");
		SendChatMessage("* "..h.." hkills of "..hk.."", "PARTY", NIL);
	end
	if event == "CHAT_MSG_RAID_LEADER" and msg == "!hks" and UnitInRaid("player") and (inT == "none") then
		local h, _ = GetPVPSessionStats("player");
		local hk, _ = GetPVPLifetimeStats("player");
		SendChatMessage("* "..h.." hkills of "..hk.."", "RAID", NIL);
	end
end)