-- Copyright 2011 Xavier Ferrair aka Mortimer @ Outland [H] (deadlygm@gmail.com)
-- no code in this file may be used in other works without expressed permission

local to=CreateFrame("Frame")
	  to:SetScript("OnEvent",function(self, event, ...)

local m
local d
local h
local o
local p

local name, unit = GameTooltip:GetUnit();
local UN = GetUnitName("mouseover", true);
local gname, rank, ranki = GetGuildInfo("mouseover");
local bhpres = UnitPrestige("mouseover");
local bhlvl = UnitHonorLevel("mouseover");
local bhhlmax = GetMaxPlayerHonorLevel();
local bhpresX = GetMaxPrestigeLevel();
local realmName = GetRealmName()

if UnitIsPlayer(unit) then
	if string.find(UN, '%-') then end
	if not string.find(UN, '%-') then
		UN = (UN.."-"..realmName)
	end
	m = BangKills[UN];
	d = BangDeaths[UN];
	h = BangHateds[UN];
	o = BangDW[UN];
	p = BangDD[UN];
end

	if UnitIsPlayer(unit) then
	
		if o ~= nil and p == nil then
			GameTooltip:AddLine("+ |cffdf7401Duelist: |cff2EFE2E"..o.." |cffF39633/ |cffFE2E2E0")
			GameTooltip:Show()
		end
		if o == nil and p ~= nil then
			GameTooltip:AddLine("+ |cffdf7401Duelist: |cff2EFE2E0 |cffF39633/ |cffFE2E2E"..p)
			GameTooltip:Show()
		end
		if o ~= nil and p ~= nil then
			GameTooltip:AddLine("+ |cffdf7401Duelist: |cff2EFE2E"..o.." |cffF39633/ |cffFE2E2E"..p)
			GameTooltip:Show()
		end

		if m ~= nil and d == nil then
			GameTooltip:AddLine("+ |cffdf7401Bang! Bang!: |cff2EFE2E"..m.." |cffF39633/ |cffFE2E2E0")
			GameTooltip:Show()
		end
		if m == nil and d ~= nil then
			GameTooltip:AddLine("+ |cffdf7401Bang! Bang!: |cff2EFE2E0 |cffF39633/ |cffFE2E2E"..d)
			GameTooltip:Show()
		end
		if m ~= nil and d ~= nil then
			GameTooltip:AddLine("+ |cffdf7401Bang! Bang!: |cff2EFE2E"..m.." |cffF39633/ |cffFE2E2E"..d)
			GameTooltip:Show()
		end
		if rank then
			GameTooltip:AddLine("+ |cffdf7401Guild Rank: |cffF39633"..rank)
			if bhpresX == bhpres then
				GameTooltip:AddLine("+ |cffdf7401Prestige: |cffFF0000Max!")
			else
				GameTooltip:AddLine("+ |cffdf7401Prestige: |cffF39633"..bhpres.."/"..bhpresX.." |cff777777("..bhlvl.."/"..bhhlmax..")")
			end
				GameTooltip:Show()
			end
			if rank and not UnitIsEnemy("player","mouseover") then
				GameTooltipTextLeft2:SetFormattedText(ranki and "%s %s", ranki, gname) --guildlvl guildName friendly
				GameTooltipTextLeft3:SetTextColor(0.1, 0.9, 0.1) -- r g b friendly with guild
				if h ~= nil then
					GameTooltipTextLeft3:SetFormattedText("Hated")
				end
				GameTooltip:Show()
			end
			if rank and UnitIsEnemy("player","mouseover") then
				GameTooltipTextLeft2:SetFormattedText(ranki and "%s %s", ranki, gname) --guildlvl guildName hostile
				GameTooltipTextLeft3:SetTextColor(2, 0.1, 0.1) -- r g b hostile with guild
				if h ~= nil then
					GameTooltipTextLeft3:SetFormattedText("Hated")
				end
				GameTooltip:Show()
			end
			if not rank and not UnitIsEnemy("player","mouseover") then
				GameTooltipTextLeft2:SetTextColor(0.1, 0.9, 0.1) -- r g b friendly no guild
				if h ~= nil then
					GameTooltipTextLeft2:SetFormattedText("Hated")
				end
				if bhpresX == bhpres then
					GameTooltip:AddLine("+ |cffdf7401Prestige: |cffFF0000Max!")
				else
					GameTooltip:AddLine("+ |cffdf7401Prestige: |cffF39633"..bhpres.."/"..bhpresX.." |cff777777("..bhlvl.."/"..bhhlmax..")")
				end
				GameTooltip:Show()
			end
			if not rank and UnitIsEnemy("player","mouseover") then
				GameTooltipTextLeft2:SetTextColor(2, 0.1, 0.1) -- r g b hostile no guild
				if h ~= nil then
					GameTooltipTextLeft2:SetFormattedText("Hated")
				end
				if bhpresX == bhpres then
					GameTooltip:AddLine("+ |cffdf7401Prestige: |cffFF0000Max!")
				else
					GameTooltip:AddLine("+ |cffdf7401Prestige: |cffF39633"..bhpres.."/"..bhpresX.." |cff777777("..bhlvl.."/"..bhhlmax..")")
				end
				GameTooltip:Show()
			end
		end
	end)

to:RegisterEvent("UPDATE_MOUSEOVER_UNIT")

local function itemtooltip_func()

	local _, _, spellID = GameTooltip:GetSpell()
	if spellID then
		GameTooltip:AddLine("|cffdf7401Spell ID: |cffF39633"..spellID)
		GameTooltip:Show();
	end
end
GameTooltip:SetScript("OnShow",itemtooltip_func)

hooksecurefunc(GameTooltip, "SetUnitBuff", function(self,...)
   local id = select(11,UnitBuff(...))
   if id then
      self:AddLine("|cffdf7401Spell ID: |cffF39633"..id)
      self:Show()
   end
end)

hooksecurefunc(GameTooltip, "SetUnitDebuff", function(self,...)
   local id = select(11,UnitDebuff(...))
   if id then
      self:AddDoubleLine("|cffdf7401Spell ID: |cffF39633"..id)
      self:Show()
   end
end)

hooksecurefunc(GameTooltip, "SetUnitAura", function(self,...)
   local id = select(11,UnitAura(...))
   if id then
      self:AddLine("|cffdf7401Spell ID: |cffF39633"..id)
      self:Show()
   end
end)

GameTooltip:HookScript("OnTooltipSetUnit", function(GameTooltip)
	local _, unit = GameTooltip:GetUnit()
	if UnitIsPlayer(unit) then
		local _, class = UnitClass(unit)
		local color = class and (CUSTOM_CLASS_COLORS or RAID_CLASS_COLORS)[class]
		if color then
			local text = GameTooltipTextLeft1:GetText()
			GameTooltipTextLeft1:SetFormattedText("|cff%02x%02x%02x%s|r", color.r * 255, color.g * 255, color.b * 255, text:match("|cff\x\x\x\x\x\x(.+)|r") or text)
		end
	end
end)
